#!/bin/sh
echo 'name: haskell-src-exts
version: 1.13.5
id: haskell-src-exts-1.13.5-69d98c31529e23e88265b9fd36d2ed7d

license: BSD3
copyright:
maintainer: Niklas Broberg <niklas.broberg@chalmers.se>
stability: Stable
homepage: http://code.haskell.org/haskell-src-exts
package-url:
synopsis: Manipulating Haskell source: abstract syntax, lexer, parser, and pretty-printer
description: Haskell-Source with Extensions (HSE, haskell-src-exts)
             is an extension of the standard haskell-src package,
             and handles most registered syntactic extensions to Haskell, including:
             .
             * Multi-parameter type classes with functional dependencies
             .
             * Indexed type families (including associated types)
             .
             * Empty data declarations
             .
             * GADTs
             .
             * Implicit parameters
             .
             * Template Haskell
             .
             and a few more. All extensions implemented in GHC are supported.
             Apart from these standard extensions,
             it also handles regular patterns as per the HaRP extension
             as well as HSX-style embedded XML syntax.
category: Language
author: Niklas Broberg
exposed: True
exposed-modules: Language.Haskell.Exts Language.Haskell.Exts.Lexer
                 Language.Haskell.Exts.Parser Language.Haskell.Exts.Pretty
                 Language.Haskell.Exts.Syntax Language.Haskell.Exts.Extension
                 Language.Haskell.Exts.Build Language.Haskell.Exts.Fixity
                 Language.Haskell.Exts.Comments Language.Haskell.Exts.SrcLoc
                 Language.Haskell.Exts.Annotated
                 Language.Haskell.Exts.Annotated.Syntax
                 Language.Haskell.Exts.Annotated.Fixity
                 Language.Haskell.Exts.Annotated.Build
                 Language.Haskell.Exts.Annotated.ExactPrint
                 Language.Haskell.Exts.Annotated.Simplify
hidden-modules: Language.Haskell.Exts.ExtScheme
                Language.Haskell.Exts.ParseMonad Language.Haskell.Exts.ParseSyntax
                Language.Haskell.Exts.InternalLexer
                Language.Haskell.Exts.ParseUtils
                Language.Haskell.Exts.InternalParser
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/haskell-src-exts-1.13.5
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/haskell-src-exts-1.13.5
              /usr/local/lib
hs-libraries: HShaskell-src-exts-1.13.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: array-0.4.0.1-6380782b62ead58fec616aa07dc0e15c
         base-4.6.0.1-2324e29e8f7c561043683fccde7728aa
         cpphs-1.16-2f3cad5be729180e3c654e34793a769a
         pretty-1.1.1.0-2de27f83b2c1c65d629a564e9e01b27d
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/haskell-src-exts-1.13.5/html/haskell-src-exts.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/haskell-src-exts-1.13.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
